Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xcodegen.structure
Class XClass

    java.lang.Object
      |
      +--xcodegen.structure.XObject
            |
            +--xcodegen.structure.XClass

public class XClass
extends XObject

Class descriptor

Version:
  $Revision: 1.7 $
Author:
  Herve Tchepannou

Field Summary
`static java.util.Map` | `all` All the classes indexed by their long name
`static java.lang.String` | `INHERITED_PK_COLUMN` Name of the inherited Primary key

Constructor Summary
`XClass()`

Method Summary
`java.lang.String` | `getAuthor()`
`XField` | `getField(java.lang.String name)` Get a field by its name
`java.util.Collection` | `getFields()`
`java.util.Collection` | `getFields(boolean superfields)` Return the fields of the class
`protected java.lang.String` | `getFieldsAsCSV()` Return the list of field as ComaSeparatedValued in the format
`XFinder` | `getFinder(java.lang.String name)` Get a finder by its name
`java.util.Collection` | `getFinders()`
`XField` | `getPk()`
`java.lang.String` | `getPkColumn()` Return the name of the PrimaryKey column.
`XRemover` | `getRemover(java.lang.String name)` Get a remover by its name
`java.util.Collection` | `getRemovers()`
`XRule` | `getRule(java.lang.String name)` Get a rule by its name
`java.util.Collection` | `getRules()`
`java.lang.String` | `getSQLDelete()` Return the DELETE SQL statement
`java.lang.String` | `getSQLInsert()` Return the INSERT SQL statement
`java.lang.String` | `getSQLSelect()` Return the SELECT SQL statement
`java.lang.String` | `getSQLUpdate()` Return the UPDATE SQL statement
`XClass` | `getSuperclass()`
`XField` | `getSuperPk()` Return the super PrimaryKey.
`java.lang.String` | `getTable()`
`java.lang.String` | `getVersion()`
`boolean` | `init(org.w3c.dom.Element elt, XObject parent, java.util.Collection errors)` Initialize the object from a XML DOM Element

Methods inherited from class xcodegen.structure.XObject
`add, addError, getBeanName, getChild, getChild, getChildren, getChildren, getDescription, getLogger, getLongName, getName, getParent, getXMLChild, getXMLChildText, getXMLChildText, getXMLText, hasChild, initChildren, trimXMLText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INHERITED_PK_COLUMN

    public static final java.lang.String INHERITED_PK_COLUMN

  Name of the inherited Primary key

  See Also:
    Constant Field Values

### all

    public static java.util.Map all

  All the classes indexed by their long name

Constructor Detail

### XClass

    public XClass()

Method Detail

### init

    public boolean init(org.w3c.dom.Element elt,
                        XObject parent,
                        java.util.Collection errors)
                 throws java.lang.Exception

  Description copied from class: `XObject`
  Initialize the object from a XML DOM Element

  Overrides:
    `init` in class `XObject`
  Parameters:
    `elt` - DOM element containing the configuration
    `parent` - Parent object
    `errors` - list of all the errors
  Returns:
    true on success
    `java.lang.Exception`

### getAuthor

    public java.lang.String getAuthor()

### getVersion

    public java.lang.String getVersion()

### getSuperclass

    public XClass getSuperclass()

### getTable

    public java.lang.String getTable()

### getPk

    public XField getPk()

### getFields

    public java.util.Collection getFields()

### getRules

    public java.util.Collection getRules()

### getFinders

    public java.util.Collection getFinders()

### getRemovers

    public java.util.Collection getRemovers()

### getSuperPk

    public XField getSuperPk()

  Return the super PrimaryKey.

  Returns:
    super PK

### getPkColumn

    public java.lang.String getPkColumn()

  Return the name of the PrimaryKey column. If the class hasa superclass, the primary key column is defined by INHERITED_PK_COLUMN

  Returns:
    name of the PrimaryKey column
  See Also:
    `INHERITED_PK_COLUMN`

### getField

    public XField getField(java.lang.String name)

  Get a field by its name

  Parameters:
    `name` - name of the field requested
  Returns:
    field requested

### getFields

    public java.util.Collection getFields(boolean superfields)

  Return the fields of the class

  Parameters:
    `superfields` - include fields of the super class?
  Returns:
    fields

### getFinder

    public XFinder getFinder(java.lang.String name)

  Get a finder by its name

  Parameters:
    `name` - name of the finder requested
  Returns:
    finder requested

### getRemover

    public XRemover getRemover(java.lang.String name)

  Get a remover by its name

  Parameters:
    `name` - name of the remover requested
  Returns:
    remover requested

### getRule

    public XRule getRule(java.lang.String name)

  Get a rule by its name

  Parameters:
    `name` - name of the rule requested
  Returns:
    rule requested

### getSQLDelete

    public java.lang.String getSQLDelete()

  Return the DELETE SQL statement

  Returns:
    DELETE SQL statement

### getSQLInsert

    public java.lang.String getSQLInsert()

  Return the INSERT SQL statement

  Returns:
    INSERT SQL statement

### getSQLUpdate

    public java.lang.String getSQLUpdate()

  Return the UPDATE SQL statement

  Returns:
    UPDATE SQL statement

### getSQLSelect

    public java.lang.String getSQLSelect()

  Return the SELECT SQL statement

  Returns:
    SELECT SQL statement

### getFieldsAsCSV

    protected java.lang.String getFieldsAsCSV()

  Return the list of field as ComaSeparatedValued in the format

  Returns:
    fields as CSV

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD